# Uses of Class
org.apache.lucene.search.BooleanQuery

Packages that use BooleanQuery
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of BooleanQuery in org.apache.lucene.search

  Methods in org.apache.lucene.search that return BooleanQuery
  Modifier and Type
  Method
  Description
  `BooleanQuery`
  BooleanQuery.Builder.`build()`
  Create a new `BooleanQuery` based on the parameters that have been set on this builder.